#!/usr/bin/perl -w
use strict;
use ESXMLODBC::XMLREQUEST;
use XML::XSLT;

sub usage
{
    print <<EOF
xmlodbc_client.pl server port connection_string sql_query xsl_file

EOF
;
}
if ($#ARGV != 4) {
    usage();
    exit 1;
}

my ($server, $port, $connstr, $sql, $xslfile) = @ARGV;

my $xoh = ESXMLODBC::XMLREQUEST->new();
if (!$xoh->Connect({Server => $server, Port => $port})) {
    print "$xoh->{ErrorState} - $xoh->{ErrorText}\n";
    exit 1;
}
$xoh->{ConnectionString} = $connstr;

my $sts = $xoh->Execute($sql, {Parse=>"0"});
if (!$sts) {
    print "$xoh->{ErrorState} - $xoh->{ErrorText}\n";
    exit 1;
}

my %args;
print "XML is: ", $xoh->{XML}, "\n";
my $parser = XML::XSLT->new (Source => $xslfile);
print "processed = :\n";
print $parser->serve(Source => $xoh->{XML});
